Schedules
Get a schedule
Retrieves the specified schedule resource.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Sökvägsparametrar
id
string
krävs
Identifier of the schedule.
Rubrikparametrar
Foundry-Features
enum
krävs
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Svar
The request has succeeded.
Brödtext
id
string
krävs
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
krävs
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
krävs
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
krävs
expression
string
krävs
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
krävs
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
krävs
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
krävs
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
krävs
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
krävs
Daily recurrence type.
hours
integer[]
krävs
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
krävs
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
krävs
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
krävs
Monthly recurrence type.
daysOfMonth
integer[]
krävs
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
krävs
triggerAt
string
krävs
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
krävs
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
krävs
evalId
string
krävs
Identifier of the evaluation group.
evalRun
object
krävs
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
krävs
insight
Insight
krävs
The response body for cluster insights.
id
string
krävs
The unique identifier for the insights report.
metadata
InsightsMetadata
krävs
Metadata about the insights.
createdAt
string
krävs
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
krävs
Enum describing allowed operation states.
enum
displayName
string
krävs
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
krävs
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
krävs
The type of insights request.
evalId
string
krävs
Evaluation Id for the insights.
runIds
string[]
krävs
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
krävs
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
krävs
The type of request.
agentName
string
krävs
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
krävs
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
krävs
The type of request.
evalId
string
krävs
Identifier for the evaluation.
baselineRunId
string
krävs
The baseline run ID for comparison.
treatmentRunIds
string[]
krävs
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
krävs
The type of insights result.
comparisons
EvalRunResultComparison[]
krävs
Comparison results for each treatment run against the baseline.
method
string
krävs
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
krävs
The type of insights result.
clusterInsight
ClusterInsightResult
krävs
Insights from the cluster analysis.
summary
InsightSummary
krävs
Summary of the error cluster analysis.
sampleCount
integer
krävs
Total number of samples analyzed.
uniqueSubclusterCount
integer
krävs
Total number of unique subcluster labels.
uniqueClusterCount
integer
krävs
Total number of unique clusters.
method
string
krävs
Method used for clustering.
usage
ClusterTokenUsage
krävs
Token usage for cluster analysis
inputTokenUsage
integer
krävs
input token usage
outputTokenUsage
integer
krävs
output token usage
totalTokenUsage
integer
krävs
total token usage
clusters
InsightCluster[]
krävs
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
krävs
X-axis coordinate.
y
integer
krävs
Y-axis coordinate.
size
integer
krävs
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
krävs
The type of insights result.
clusterInsight
ClusterInsightResult
krävs
Insights from the cluster analysis.
summary
InsightSummary
krävs
Summary of the error cluster analysis.
sampleCount
integer
krävs
Total number of samples analyzed.
uniqueSubclusterCount
integer
krävs
Total number of unique subcluster labels.
uniqueClusterCount
integer
krävs
Total number of unique clusters.
method
string
krävs
Method used for clustering.
usage
ClusterTokenUsage
krävs
Token usage for cluster analysis
inputTokenUsage
integer
krävs
input token usage
outputTokenUsage
integer
krävs
output token usage
totalTokenUsage
integer
krävs
total token usage
clusters
InsightCluster[]
krävs
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
krävs
X-axis coordinate.
y
integer
krävs
Y-axis coordinate.
size
integer
krävs
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
krävs
System metadata for the resource.
Förfrågan
GET /schedules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json